#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi
BACKEND=canondr_backendFSU101
BACKENDLIB=FSU101.so
BACKENDLIBCONF=FSU101.ini

if [ -e $INSTALLDIR/lib/canondr/$BACKEND ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKEND
fi

if [ -e $INSTALLDIR/lib/canondr/$BACKENDLIB ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKENDLIB
fi

if [ -e $INSTALLDIR/lib/canondr/$BACKENDLIBCONF ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKENDLIBCONF
fi

cp -f ./$BACKEND $INSTALLDIR/lib/canondr/$BACKEND
cp -f ./$BACKENDLIB $INSTALLDIR/lib/canondr/$BACKENDLIB
cp -f ./$BACKENDLIBCONF $INSTALLDIR/lib/canondr/$BACKENDLIBCONF
	

